/* Melon's Gallery Maker! - Bubble Zone! v0.2 */

#shade {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: -10;
    background-image: url("https://textures.neocities.org/textures/water/ciq60572.jpg");
    background-size: 100%;
    background-color: black;
    opacity: 0.5;
}

/* Gallery Pages */

#title {
    font-size: clamp(12px, 4vw, 50px); 
    padding: 15px;
    max-width: 1000px;
    position: sticky;
    top: 0px;
    background: rgba(154, 143, 216, 0.5);
    margin: auto;
}
.subtitle {
    background-color: rgba(255, 255, 255, 0.187);
    
    border-radius: 50px;
    letter-spacing: 1px;
    padding: 15px;
    margin: 20px auto;
    max-width: 500px;
}
.galleries {
    margin-top: 100px;
    margin-left: 0px;
    max-width: 60vw;
}
.gallery-images {
    margin-bottom: 50px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.gallery-images figure {
    margin: 5px;
    display: inline-block;
    max-width: min-content;
    user-select: none; 
}
.gallery-images img {
    display: inline-block;
    width: 300px;
    height: 200px;
    
    background-color: rgba(255, 255, 255, 0.466);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    object-fit: cover;

    border: 5px double #450094;
    border-radius: 2px;

    box-shadow: 0px 0px 5px rgb(209, 172, 255);

    transition: border-color 1s, filter 1s
}
.gallery-images img:hover {
    border-color: #ee4aee;
    filter: brightness(1.4);
}

.gallery-images span {
    text-align: center;
    display: block;
}

.page-links {
    text-align: center;
}

.page-links ul {
    padding: 0px 5px;
    margin: 10px 0px;
    display: inline-block;
}
.page-links li {
    list-style: none;
    display: inline;
    margin: 0px 3px;
}
footer {
    color: rgba(255, 255, 255, 0.8);
    font-size: 12px;
    font-style: italic;
    font-variant: small-caps;
    margin-top: 20px;
}
footer a:link {
    color:rgba(255, 142, 230, 0.9)
}
footer a:hover {
    color:rgba(255, 38, 208, 0.9)
}

/* Styling for JavaScript viewer (if enabled) */

#js-viewer {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 999;
    background-color: rgba(59, 17, 70, 0.443);
    
    display: flex;
    flex-direction: column;
    /* justify-content: center; */
    align-items: center;

    animation: img-appear 1s ease-in-out backwards;
}

#js-viewer-button-container { /* Button container */
    display: flex;
    justify-content: center;
    gap: 10px;
    margin: 0px auto;
    height: 65px;
}

.js-viewer-button {
    border-radius: 10px;
    padding: 10px;
    cursor: url('/img/pawcursor_highlight.png'), auto;
    position: relative;

    width: 64px;
    height: 64px;
}

.js-viewer-button::before { /* Create pseudo-element img that is flippable! */
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url("/img/button-raya-r.png");
    background-size: cover;
    background-position: center;
}

#js-viewer-prev { /* Flip that prev button!! */
    transform: scaleX(-1);
}

#js-viewer-exit::before {
    background-image: none;
}

#js-viewer-exit { 
    color: rgb(255, 121, 246);
    font-family: 'dunkin';
    font-size: 30px;
    vertical-align: top;
    font-weight: bolder;
    display: flex;
    align-items: center;
    justify-content: center;
    text-shadow: 1px 1px 2px black;
    background-image: none;
    
    /* padding: 3px !important; */
}

.js-viewer-button:active {
    background-color: #e5e5e5;
    top: 3px;
}


#js-viewer-fx-buttons-container {
    width: auto;
    height: 65px;

    position: fixed;
    left: calc(50vw - 280px);

    display: flex;
    flex-direction: row;
    border: 1px solid black;
    background-color: rgba(0, 0, 0, 0.591);
    border-radius: 15px;
    gap: 5px;

    user-select: none;
    -webkit-user-drag: none; 
    -moz-user-drag: none;
}

.js-viewer-fx-button {
    width: 40px;
    text-align: center;

    cursor: url('/img/pawcursor_highlight.png'), auto;

    background-color: rgba(222, 46, 253, 0.395);
    background-image: url("/img/stars3.gif");
    background-size: 100%;

    text-align: center;
    display: flex;
    align-items: center;
    -webkit-user-drag: none; 
    -moz-user-drag: none;

    color: rgb(255, 121, 246);
    font-family: 'jackal';
    font-size: 25px;
    font-weight: bold;
    letter-spacing: 6px;
    /* text-shadow: 
    2px 2px 0px rgb(227, 194, 224),
    -2px -2px 0px rgb(255, 255, 255)
    ; */

    border: 1px solid rgb(255, 255, 255);
    border-radius: 15px;  
}

.js-viewer-fx-button:hover {
    color: rgb(255, 255, 255);
    background-image: none;
}

.js-viewer-fx-button-active {
    background-image: url("/img/082.GIF") !important;
    animation: hue-rotate 2s linear infinite !important;
    border: 1px solid white !important;
    animation: wiggle-scale 1s ease-in-out infinite !important;
}

#js-viewer-button-dl {
    position: absolute;
    top: 10px;
    left: auto;
    right: 5px;
    width: 50px;
    height: 50px;

    text-align: center;

    cursor: url('/img/pawcursor_highlight.png'), auto;
    /* background-image: none; */
    background-color: rgba(255, 255, 255, 0.74);
    text-decoration: none;

    -webkit-user-drag: none; 
    -moz-user-drag: none;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;

    border: 1px solid rgb(255, 255, 255);
    border-radius: 15px;  
}

/* Secret cumbutton.. Enable with cumbutton.css */
#cumbutton {
    display: none;
}

#js-viewer-caption {
    z-index: 3;
    width: 500px;
    height: auto;
    margin-top: 3px;
    
    text-align: center;
    font-size: 16px;
    padding: 15px 15px;
    
    max-width: 700px;
    
    background-color: rgba(255, 255, 255, 0.8);
    border: 2px solid rgb(0, 0, 0);
    box-shadow: inset 0px 0px 7px black;
    border-radius: 15px;

    transition: opacity 0.5s;
}
#js-viewer-caption a {
    font-weight: bold;
    color:rgba(217, 0, 255, 0.395);
}

/* Properties for img trippy effects */
@property --hue-angle {
  syntax: '<angle>';
  initial-value: 0deg;
  inherits: true;
}

#js-viewer img {
    width: auto;
    height: auto;

    max-width: 100vw;
    max-height: calc(100vh - 70px);

    position: absolute;
    top: 70px;

    left: 50%;
    transform: translateX(-50%);

    object-fit: contain;

    user-select: none; 
    
    --liquid-ref: brightness(1);
    --hue-angle: 0deg;
    transition: filter 0.5s;

    height: calc(100% - 70px);
}
.imgFX-active {
   filter: var(--liquid-ref) hue-rotate(var(--hue-angle));
}

.imgFX-wave1 {
  --liquid-ref: url(#liquid-filter-1) !important; 
}

.imgFX-wave2 {
  --liquid-ref: url(#liquid-filter-2) !important; 
}

.imgFX-rainbow {
  outline: 2px solid rgb(255, 255, 255);
  box-shadow: inset 0px 0px 15px 15px rgb(255, 255, 255);

  animation: 
    outline-rainbow 3s linear infinite,
    outline-pulsate 3s linear infinite,
    var-hue-rotate 3s linear infinite  !important; 
}

@keyframes var-hue-rotate {
  0%   { --hue-angle: 0deg; }
  100% { --hue-angle: 360deg; }
}

.imgFX-halo {
    opacity: 0.9;
    mix-blend-mode: difference;
    animation: glitchJitter 5s ease-in-out infinite alternate;
    /* pointer-events: none; */
    transform-origin: center center;
    top: 70px;
}
@keyframes glitchJitter {
  0% { transform: translate(1px, 3px);  }
  25% { transform: translate(-3px, 3px); }
  50% { transform: translate(3px, -3px);}
  75% { transform: translate(-0px, 4px);  }
  100% { transform: translate(3px, -5px); }
}
/* No FX on phone */
@media (max-width: 800px) {
    .js-viewer-fx-button {
        display: none;
    }

}

